package es.uv.saic.domain;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.Table;

@Entity
@Table(name="datasources")
@NamedQuery(name="Datasource.findAll", query="SELECT i FROM Datasource i")
public class Datasource {

    @Id
	@Column(name="id_datasource")
    Integer id;

    String nom;

    String driver;

    String conn;

    public Datasource(){}

    public Datasource(Integer id, String nom, String driver, String conn) {
        this.id = id;
        this.nom = nom;
        this.driver = driver;
        this.conn = conn;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDriver() {
        return driver;
    }

    public void setDriver(String driver) {
        this.driver = driver;
    }

    public String getConn() {
        return conn;
    }

    public void setConn(String conn) {
        this.conn = conn;
    }

}
